From bd2ebf5cc269280d607a55b6acddca892f1d9c84 Mon Sep 17 00:00:00 2001
From: Zoltan Hawryluk <zhawry@torzhawry01749.local>
Date: Thu, 17 May 2012 18:50:40 -0400
Subject: [PATCH] Note about repetition module.

---
 README.txt                                    |  7 ++++--
 .../webforms2/webforms2_withRep_src.js        | 23 +++----------------
 2 files changed, 8 insertions(+), 22 deletions(-)

diff --git a/README.txt b/README.txt
index f85475c..c9f8ec7 100644
--- a/README.txt
+++ b/README.txt
@@ -25,6 +25,9 @@ More information about how this works is available at:
 http://www.useragentman.com/blog/2010/07/27/cross-browser-html5-forms-using-modernizr-webforms2-and-html5widgets/
 http://www.useragentman.com/blog/2012/05/14/cross-browser-styling-of-html5-forms-even-in-older-browsers/
 
-Note that this package was originally released in 2010 as html5Widgets, and was renamed 
-to a more accurate and descriptive name.
+Note that this package was originally released in 2010 as html5Widgets, 
+and was renamed to a more accurate and descriptive name.  Also note that
+the version of webforms2 that is included in this package does not 
+include support for the depricated repetition module -- it will be 
+put back in as a separate module at a later date.
 
diff --git a/shared/js/weston.ruter.net/webforms2/webforms2_withRep_src.js b/shared/js/weston.ruter.net/webforms2/webforms2_withRep_src.js
index 0b35eac..3a597d5 100644
--- a/shared/js/weston.ruter.net/webforms2/webforms2_withRep_src.js
+++ b/shared/js/weston.ruter.net/webforms2/webforms2_withRep_src.js
@@ -1,23 +1,6 @@
-/*
- * Web Forms 2.0 Cross-browser Implementation <http://code.google.com/p/webforms2/>
- * Version: 0.7 (2011-03-01)
- * Copyright: 2007, Weston Ruter <http://weston.ruter.net/> 
- *    with additions by Zoltan Hawryluk <http://www.useragentman.com>
- * Licenses (as of Feb 6, 2011)
- * - MIT License (http://www.opensource.org/licenses/mit-license.php)
- * - GPL (http://creativecommons.org/licenses/GPL/2.0/)
- * 
- * The comments contained in this code are largely quotations from the 
- * WebForms 2.0 specification: <http://whatwg.org/specs/web-forms/current-work/>
- *
- * Usage: <script type="text/javascript" src="webforms2_src.js"></script>
- * 
- * Changelog:
- * version 0.5.4  - initial release by Weston Ruter
- * version 0.6    - refactored for use with HTML5Widgets by Zoltan Hawryluk (July 27th, 2010)
- * version 0.6.1  - updated to deal with WebKit's half-implemented WebForms 2 Implementation (Sept 10, 2010)
- * version 0.7    - bug fixes with nested repetition models by Zoltan Hawryluk.
- * version 0.7.1  - updated to dual MIT/GPL 2.0 license.
+/* 
+ * This file should not be used.  It is to be used as a basis for adding back support
+ * for the repetition module of the newer version of webforms2 at a later date
  */
 
 if(!window.$wf2){
